package com.example.vahid.myapplication;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class MySQLiteDataBase extends SQLiteOpenHelper
{
    public static final String db_name="dic";
    public static int db_ver=1;

    public MySQLiteDataBase(Context c){
        super(c,db_name,null,db_ver);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        String CREATE__TABLE = "CREATE TABLE words (id INTEGER PRIMARY KEY AUTOINCREMENT,word TEXT, meaning TEXT )";
        db.execSQL(CREATE__TABLE);
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        db.execSQL("DROP TABLE words");
        this.onCreate(db);
    }

    public void add(String w, String m){
        SQLiteDatabase db = this.getWritableDatabase();
        ContentValues values = new ContentValues();
        values.put("word", w);
        values.put("meaning",m);
        db.insert("words", null, values);
        db.close();
    }
    public void clear(int id ) {
        SQLiteDatabase db = this.getWritableDatabase();
        db.delete("words","id=?",new String[]{id+""});
        db.close();
    }


    public String get(int id){
        SQLiteDatabase db = this.getReadableDatabase();
        Cursor cursor =  db.rawQuery("select * from words where id=?",new String[]{id+""});
        if (cursor != null &&  cursor.moveToFirst()){
            String ret="";
            ret=cursor.getString(0)+" : "+ cursor.getString(1)+":"+cursor.getString(2)+"\n";
        db.close();
        return ret;
        }
        else {db.close();  return "Record not Found.\n";}
    }

    public String list(){
        SQLiteDatabase db = this.getReadableDatabase();

        Cursor cursor =   db.query("words",new String[]{"id","word","meaning"}, null, null, null, null, null, null);
        if (cursor != null &&  cursor.moveToFirst()){
            String ret="";
            ret=cursor.getString(0)+" : "+ cursor.getString(1)+":"+cursor.getString(2)+"\n";
            while(!cursor.isLast()){
                cursor.moveToNext();
                ret+=cursor.getString(0)+" : "+ cursor.getString(1)+":"+cursor.getString(2)+"\n";
            }
            db.close();
            return ret;    }
            else return "Data Base Is Empty.\n";
    }


}
